<?php

// web routes  for bt_category
Route::prefix('{guard}/category')->group(function () {
    Route::resource('bt_category', 'BtCategoryResourceController');
});

// Public routes for bt_category
Route::get('categories/', 'BtCategoryPublicController@index');
Route::get('categories/{slug?}', 'BtCategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'BtCategoryResourceController');
            });
            // Public routes for pages
            Route::get('categories/', 'BtCategoryPublicController@index');
            Route::get('categories/{slug?}', 'BtCategoryPublicController@show');
        }
    );
}

