<?php

namespace Btravel\Category;

use User;

class Category
{
    /**
     * $bt_category object.
     */
    protected $bt_category;

    /**
     * Constructor.
     */
    public function __construct(\Btravel\Category\Interfaces\BtCategoryRepositoryInterface $bt_category)
    {
        $this->bt_category = $bt_category;
    }

    /**
     * Returns count of category.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.bt_category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->bt_category->pushCriteria(new \Litepie\Btravel\Repositories\Criteria\BtCategoryUserCriteria());
        }

        $bt_category = $this->bt_category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('category::' . $view, compact('bt_category'))->render();
    }
}
