<?php

namespace Btravel\Category\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BtCategoryTransformer extends TransformerAbstract
{
    public function transform(\Btravel\Category\Models\BtCategory $bt_category)
    {
        return [
            'id'                => $bt_category->getRouteKey(),
            'key'               => [
                'public'    => $bt_category->getPublicKey(),
                'route'     => $bt_category->getRouteKey(),
            ], 
            'parent_id'         => $bt_category->parent_id,
            'user_id'           => $bt_category->user_id,
            'name'              => $bt_category->name,
            'permalink'         => $bt_category->permalink,
            'slug'              => $bt_category->slug,
            'user_type'         => $bt_category->user_type,
            'deleted_at'        => $bt_category->deleted_at,
            'url'               => [
                'public'    => trans_url('category/'.$bt_category->getPublicKey()),
                'user'      => guard_url('category/bt_category/'.$bt_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$bt_category->status),
            'created_at'        => format_date($bt_category->created_at),
            'updated_at'        => format_date($bt_category->updated_at),
        ];
    }
}